<?php

namespace App\Http\Controllers\API\V1\Pouzivatel;

use App\Dtos\PouzivatelDto;
use PHPOpenSourceSaver\Fractal\TransformerAbstract;

/**
 * Class PouzivatelDtoTransformer
 */
class PouzivatelDtoTransformer extends TransformerAbstract
{
    public function transform(PouzivatelDto $dto): array
    {
        return array_merge(
            $dto->toArray(),
            [
                'links' => [
                    'self' => null,
                ],
            ],
        );
    }
}
